semilogx([4,16,36,64], [10e5, 18e5, 24e5,33e5],'s', 'MarkerSize',8);hold on
semilogx([4,16,36], [12e5, 22e5, 32e5],'*', 'MarkerSize',8);

format long
y = @(b,x) b(1)*log(x)+b(2) ;
opts = statset('Display','iter','TolFun',1e-8);
mdl = fitnlm([4,16,36,64], [10e5, 18e5, 24e5,33e5], y,[70000,1270]);
semilogx([4,16,36,64], mdl.feval([4,16,36,64]),'k--', 'Linewidth',2);
b = mdl.Coefficients.Estimate;

format long
y = @(b,x) b(1)*log(x)+b(2) ;
opts = statset('Display','iter','TolFun',1e-8);
mdl = fitnlm([4,16,36], [12e5, 22e5, 32e5], y,[70000,1270]);
semilogx([4,16,36], mdl.feval([4,16,36]),'k-.', 'Linewidth',2);
c = mdl.Coefficients.Estimate;

xlim([3,90])
xlabel('$p$','interpreter','latex', 'FontSize', 13)
xticks([ 4,16,36,64])
ylim([3e5,45e5])
ylabel('$n_{min}$','interpreter','latex', 'FontSize', 13)
yticks(1e5*[3:5:45])
grid on
legend('$i.i.d,~\delta^{-1}=0.89$', '$correlated, ~\delta^{-1}=0.89$', '$ n \approx 10^5[ 7.86\log p -2.15] $','$ n \approx 10^5[8.89 \log p - 0.97] $','Interpreter','latex')

legend('$i.i.d ,~\delta^{-1}=0.89$', '$correlated, ~\delta^{-1}=0.89$', '$ n \approx 10^5[ 3.02\log p -0.68] $','$ n \approx 10^5[4.13 \log p - 1.43] $','Interpreter','latex')


